---
description: "Encode Texts (XML and TEI)"
title: "Encode Texts"
---

<!-- @format -->

<head>
<script src="https://kit.fontawesome.com/2d8ee6f374.js" crossorigin="anonymous"></script>
</head>

import { faUpRightFromSquare } from "@fortawesome/free-solid-svg-icons";

LEAF supports the editing of [XML](https://lincsproject.ca/docs/terms/xml) documents and aligns with the [Text Encoding Initiative (TEI)](https://lincsproject.ca/docs/terms/text-encoding-initiative) standards for encoding scholarly content. Scholars and students who want to annotate machine-readable [structured textual data](https://lincsproject.ca/docs/terms/structured-data) can use [LEAF-Writer](https://www.leaf-vre.org/docs/features/about-lw), LEAF’s online semantic editor, to encode those texts, focusing on the meaning within the text rather than the XML code that underlies the encoding. With LEAF-Writer, editorial teams can collaborate on single texts or corpora of documents, preparing them for data mining or publication. XML files encoded in LEAF-Writer are stored as content objects, and are attached to bibliographic [metadata](https://lincsproject.ca/docs/terms/metadata) that is searchable within a project.   

As part of the encoding process, LEAF generates [RDF](https://lincsproject.ca/docs/terms/resource-description-framework) statements as [‘triples’](https://lincsproject.ca/docs/terms/triple) from entity annotations, producing data that is ready to be [linked](https://lincsproject.ca/docs/terms/linked-data) to the [Semantic Web](https://lincsproject.ca/docs/terms/semantic-web). 

When it comes to publishing the encoded text, LEAF offers a simple web transformation that maintains document structure and links to encoded [entities](https://lincsproject.ca/docs/terms/entity). For editors interested in presenting more complex contextual analysis from their encoded documents, the [Dynamic Table of Contexts](https://www.leaf-vre.org/docs/features/dtoc) tool offers a pioneering interactive reading environment. 

LEAF-Writer is also available as a standalone web-based tool ([LEAF-Writer Commons](https://leaf-writer.leaf-vre.org/)) that uses GitHub repositories for saving and sharing documents.   

<div className="primary-button-row">
  
  <PrimaryButton
    link="/docs/documentation/leaf-commons/leaf-writer-documentation"
    buttonName="To the LEAF-Writer Documentation"
    icon={faUpRightFromSquare}></PrimaryButton>
 
</div>